use serde::{Deserialize, Serialize};

pub mod common;
pub mod confer;
pub mod register;
pub mod terms;
pub mod watch;

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize, Default)]
pub struct Config {
    terms: terms::Config,
}

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub enum Req {
    Terms,
    Confer(confer::Req),
    Watch(watch::Req),
    Register(register::Req),
}

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub enum Res {
    Terms(terms::Res),
    Confer(confer::Res),
    Watch(watch::Res),
    Register(register::Res),
}
