use serde::{Deserialize, Serialize};

use crate::prelude::*;

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub struct KeyCert {
    pub l2_key: VerificationKey,
    pub channel_id: ChannelId,
    pub expire: Timestamp,
    pub rank: Index,
}

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub struct Req {
    pub my: Signed<KeyCert>,
    pub your: Option<KeyCert>,
}

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub enum Res {
    Okay(Option<Signed<KeyCert>>),
    Fail,
}
