use serde::{Deserialize, Serialize};

use crate::prelude::*;

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub struct Req {
    pub l1_key: VerificationKey,
    pub transaction_id: TransactionId,
    pub output_index: Natural,
}

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub enum Res {
    Watching,
    Confirming,
    Rejected(RejectedMessage),
    Confirmed,
}

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub enum RejectedMessage {
    Timeout,
    FailsTerms,
    BadKey,
    Other(String),
}

/// Mock response
pub fn just_confirm(_req: Req) -> Res {
    Res::Confirmed
}
